org.eclipse.lyo.client.oslc.resources

## Class ArchitectureLinkType

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.ArchitectureLinkType

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcResourceShape(title="Architecture Management LinkType Resource Shape",
                         describes="http://open-services.net/ns/am#LinkType")
      @OslcNamespace(value="http://open-services.net/ns/am#")
      public final class ArchitectureLinkType
      extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArchitectureLinkType()`
    `ArchitectureLinkType(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContributor(URI contributor)`
    `void` | `addCreator(URI creator)`
    `void` | `addRdfType(URI rdfType)`
    `String` | `getComment()`
    `URI[]` | `getContributors()`
    `Date` | `getCreated()`
    `URI[]` | `getCreators()`
    `String` | `getIdentifier()`
    `URI` | `getInstanceShape()`
    `String` | `getLabel()`
    `Date` | `getModified()`
    `protected URI` | `getRdfType()`
    `URI[]` | `getRdfTypes()`
    `URI` | `getServiceProvider()`
    `void` | `setComment(String comment)`
    `void` | `setContributors(URI[] contributors)`
    `void` | `setCreated(Date created)`
    `void` | `setCreators(URI[] creators)`
    `void` | `setIdentifier(String identifier)`
    `void` | `setInstanceShape(URI instanceShape)`
    `void` | `setLabel(String label)`
    `void` | `setModified(Date modified)`
    `void` | `setRdfTypes(URI[] rdfTypes)`
    `void` | `setServiceProvider(URI serviceProvider)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArchitectureLinkType

          public ArchitectureLinkType()

    - #### ArchitectureLinkType

          public ArchitectureLinkType(URI about)

  - ### Method Detail

    - #### getRdfType

          protected URI getRdfType()

    - #### addContributor

          public void addContributor(URI contributor)

    - #### addCreator

          public void addCreator(URI creator)

    - #### addRdfType

          public void addRdfType(URI rdfType)

    - #### getContributors

          @OslcDescription(value="The person(s) who are responsible for the work needed to complete the automation plan.")
          @OslcName(value="contributor")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/contributor")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Contributors")
          public URI[] getContributors()

    - #### getCreated

          @OslcDescription(value="Timestamp of resource creation.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/created")
          @OslcReadOnly
          @OslcTitle(value="Created")
          public Date getCreated()

    - #### getCreators

          @OslcDescription(value="Creator or creators of resource.")
          @OslcName(value="creator")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/creator")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Creators")
          public URI[] getCreators()

    - #### getLabel

          @OslcDescription(value="The human readable name for this link type.")
          @OslcPropertyDefinition(value="http://www.w3.org/2000/01/rdf-schema#label")
          @OslcTitle(value="Label")
          @OslcOccurs(value=ExactlyOne)
          public String getLabel()

    - #### getComment

          @OslcDescription(value="Descriptive text about link type. ")
          @OslcPropertyDefinition(value="http://www.w3.org/2000/01/rdf-schema#comment")
          @OslcTitle(value="Comment")
          @OslcOccurs(value=ZeroOrOne)
          public String getComment()

    - #### getIdentifier

          @OslcDescription(value="A unique identifier for a resource. Assigned by the service provider when a resource is created. Not intended for end-user display.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/identifier")
          @OslcReadOnly
          @OslcTitle(value="Identifier")
          public String getIdentifier()

    - #### getInstanceShape

          @OslcDescription(value="Resource Shape that provides hints as to resource property value-types and allowed values. ")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#instanceShape")
          @OslcRange(value="http://open-services.net/ns/core#ResourceShape")
          @OslcTitle(value="Instance Shape")
          public URI getInstanceShape()

    - #### getModified

          @OslcDescription(value="Timestamp last latest resource modification.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/modified")
          @OslcReadOnly
          @OslcTitle(value="Modified")
          public Date getModified()

    - #### getRdfTypes

          @OslcDescription(value="The resource type URIs.")
          @OslcName(value="type")
          @OslcPropertyDefinition(value="http://www.w3.org/1999/02/22-rdf-syntax-ns#type")
          @OslcTitle(value="Types")
          public URI[] getRdfTypes()

    - #### getServiceProvider

          @OslcDescription(value="The scope of a resource is a URI for the resource\'s OSLC Service Provider.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#serviceProvider")
          @OslcRange(value="http://open-services.net/ns/core#ServiceProvider")
          @OslcTitle(value="Service Provider")
          public URI getServiceProvider()

    - #### setContributors

          public void setContributors(URI[] contributors)

    - #### setCreated

          public void setCreated(Date created)

    - #### setCreators

          public void setCreators(URI[] creators)

    - #### setLabel

          public void setLabel(String label)

    - #### setComment

          public void setComment(String comment)

    - #### setIdentifier

          public void setIdentifier(String identifier)

    - #### setInstanceShape

          public void setInstanceShape(URI instanceShape)

    - #### setModified

          public void setModified(Date modified)

    - #### setRdfTypes

          public void setRdfTypes(URI[] rdfTypes)

    - #### setServiceProvider

          public void setServiceProvider(URI serviceProvider)

Copyright © 2016. All Rights Reserved.